summaryrefslogtreecommitdiff
blob: a768dccf3bc69ab9eb6cdb39a23d466d2b39901e (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
# This file is deprecated as per GLEP 56 in favor of metadata.xml. Please add
# your descriptions to your package's metadata.xml ONLY.
# * generated automatically using egencache *

app-admin/checksec:update - Support self-update functionality outside of the package-manager
app-portage/eix:debug - Build with upstream's CXXFLAGS/LDFLAGS for debugging support; not recommended for normal use.
app-portage/eix:dep - Make DEP=true the default which enables support for {,R,P}DEPEND but requires roughly double disk and memory.
app-portage/eix:doc - Create description of the eix cache file additionally in html format
app-portage/eix:optimization - Accept upstream's choices for CXXFLAGS/LDFLAGS for optimization. Absense of this USE flag does not strip user's *FLAGS
app-portage/eix:required-use - Make REQUIRED_USE=true the default which enables support for REQUIRED_USE but requires more disk and memory.
app-portage/eix:security - This adds some checks which can prevent certain exploits if e.g. the eix code has a bug. If you use the hardened toolchain, using this flag does not increase security and can even lead to problems.
app-portage/eix:sqlite - Compile in support for portage's sqlite backend; to actually use it you need additional configuration of portage and eix
app-portage/eix:strong-optimization - Adds several more agressive CXXFLAGS/LDFLAGS for optimization like graphite (if available). May cause trouble with some buggy compiler versions. Absense of this USE flag does not strip user's *FLAGS
app-portage/eix:strong-security - Add many checks to prevent exploits if eix code has a bug. This will slow down eix considerably. Use only if you are paranoid or have reasons to suspect a bug.
app-portage/eix:swap-remote - Swap role of remote addresses in eix-remote, making the data from gpo.zugaina.org the first choice.
app-portage/eix:tools - Create separate binary for script helper tools; useful if they are called extremely often
app-shells/auto-fu-zsh:compile - Byte-compile to speed up. Do not use this if you are cross-compiling
app-shells/schily-tools:renameschily_calc - Rename calc to scalc for compatibility with sci-mathematics/calc
app-shells/schily-tools:renameschily_compare - Rename compare to scompare for compatibility with imagemagick
app-shells/schily-tools:renameschily_count - Rename count to scount for compatibility with sys-devel/llvm
app-shells/schily-tools:renameschily_jsh - Rename jsh to sjsh for compatibility with app-shells/heirloom-sh
app-shells/schily-tools:renameschily_man2html - Rename man2html to sman2html for compatibility with sys-apps/man
app-shells/schily-tools:renameschily_p - Rename p to sp for compatibility with dev-util/wiggle
app-shells/schily-tools:schilytools_bosh - Install bosh, a shell which aims to be fully POSIX compatible
app-shells/schily-tools:schilytools_calc - Install calc, a bc clone
app-shells/schily-tools:schilytools_calltree - Install calltree, a cflow clone
app-shells/schily-tools:schilytools_change - Install change, a program to change patterns in files
app-shells/schily-tools:schilytools_compare - Install compare, a cmp clone
app-shells/schily-tools:schilytools_copy - Install copy, a cp clone
app-shells/schily-tools:schilytools_count - Install count, a wc clone
app-shells/schily-tools:schilytools_cstyle - Install Cstyle, a C-codingstyle lint
app-shells/schily-tools:schilytools_cut - Install scut, a cut clone
app-shells/schily-tools:schilytools_label - Install label, a sun disk label manipulator
app-shells/schily-tools:schilytools_lndir - Install lndir, a program for creating symlinked directory trees
app-shells/schily-tools:schilytools_man2html - Install a man2html clone
app-shells/schily-tools:schilytools_match - Install match, a grep clone
app-shells/schily-tools:schilytools_mdigest - Install mdigest, e.g. covering md5sum sha*sum
app-shells/schily-tools:schilytools_mountcd - Install mountcd, a solaris CD comparison tool
app-shells/schily-tools:schilytools_osh - Install osh, the original sVr4 (SunOS 5) shell with original bugs
app-shells/schily-tools:schilytools_p - Install p, a more program which filters non-printable characters
app-shells/schily-tools:schilytools_paste - Install spaste, a paste clone
app-shells/schily-tools:schilytools_patch - Install spatch, a patch clone
app-shells/schily-tools:schilytools_pxupgrade - Install pxupgrade: upgrading firmware in Plextor CD/DVD writers
app-shells/schily-tools:schilytools_sfind - Install sfind, a find clone
app-shells/schily-tools:schilytools_smake - Install smake, a make clone
app-shells/schily-tools:schilytools_termcap - Install termcap, a termcap compiler
app-shells/schily-tools:schilytools_translit - Install translit, a tr clone
app-shells/schily-tools:schilytools_udiff - Install udiff, a diff clone
app-shells/schily-tools:schilytools_ved - Install ved, a visual editor with features from vi and emacs
app-shells/schily-tools:system-libschily - Rely on app-cdr/cdrtools for providing libschily
app-shells/schily-tools:system-star - Rely on app-arch/star for the match manpage
app-shells/termcolors-mv:create - Install DIR_COLORS-create perl script
app-shells/termcolors-mv:perl - Install 256colors perl script
app-shells/zsh:compile - Byte-compile. This costs disk space and may make things faster or slower. Do not use this if you are cross-compiling
app-shells/zsh:completion_AIX - Install zsh completions for AIX
app-shells/zsh:completion_BSD - Install zsh completions for BSD
app-shells/zsh:completion_Cygwin - Install zsh completions for Cygwin
app-shells/zsh:completion_Darwin - Install zsh completions for Darwin
app-shells/zsh:completion_Debian - Install zsh completions for Debian
app-shells/zsh:completion_Linux - Install zsh completions for Linux
app-shells/zsh:completion_Mandriva - Install zsh completions for Mandriva
app-shells/zsh:completion_Redhat - Install zsh completions for Redhat
app-shells/zsh:completion_Solaris - Install zsh completions for Solaris
app-shells/zsh:completion_Unix - Install zsh completions for Unix
app-shells/zsh:completion_X - Install zsh completions for X
app-shells/zsh:completion_openSUSE - Install zsh completions for openSUSE
app-shells/zsh-completions:completion_Android - Install zsh completions for Android-related programs
app-shells/zsh-completions:completion_Google - Install zsh completions for googlecl
app-shells/zsh-completions:completion_Unix - Install zsh completion for unix system tools
app-shells/zsh-completions:completion_backup - Install zsh completions for backup programs
app-shells/zsh-completions:completion_database - Install zsh completions for database programs
app-shells/zsh-completions:completion_dev - Install zsh completions for development (build systems, editors, web)
app-shells/zsh-completions:completion_disk - Install zsh completions for disk tools
app-shells/zsh-completions:completion_distribute - Install zsh completions for tools for distributing tasks to machines
app-shells/zsh-completions:completion_git - Install zsh completions for special git tools
app-shells/zsh-completions:completion_go - Install zsh completions for go-related tools
app-shells/zsh-completions:completion_gtk - Install zsh completions for gtk-related tools
app-shells/zsh-completions:completion_hardware - Install zsh completions for low-level hardware tools
app-shells/zsh-completions:completion_haskell - Install zsh completions for Haskell tools
app-shells/zsh-completions:completion_managers - Install zsh completions for package managers (not portage)
app-shells/zsh-completions:completion_multimedia - Install zsh completions for multimedia programs
app-shells/zsh-completions:completion_net - Install zsh completions for net-related tools
app-shells/zsh-completions:completion_nfs - Install zsh completions for network filesystem tools
app-shells/zsh-completions:completion_perl - Install zsh completion for perl-related tools
app-shells/zsh-completions:completion_python - Install zsh completion for python development tools
app-shells/zsh-completions:completion_ruby - Install zsh completion for ruby tools and tools in ruby
app-shells/zsh-completions:completion_search - Install zsh completion for search tools like sys-apps/ack and sys-apps/the_silver_searcher
app-shells/zsh-completions:completion_session - Install zsh completion for session-handling frontends
app-shells/zsh-completions:completion_subtitles - Install zsh completion for subtitle tools
app-shells/zsh-completions:completion_virtualization - Install zsh completion for virtualization programs
app-shells/zsh-completions:completion_web - Install zsh completion for web-related tools incl. java/javascript/scala
app-text/lesspipe:antiword - Support doc files with app-text/antiword; this overrides catdoc
app-text/lesspipe:cabextract - Support cabextract files
app-text/lesspipe:catdoc - Support doc files with app-text/catdoc; unused if antiword is set
app-text/lesspipe:cpio - Support cpio files
app-text/lesspipe:djvu - Support djvu files
app-text/lesspipe:dpkg - Support Debian package files
app-text/lesspipe:dvi2tty - Support dvi files with dev-tex/dvi2tty
app-text/lesspipe:elinks - Support html files with www-client/elinks; ignored if html2text, links, or lynx is set; this overrides w3m
app-text/lesspipe:fastjar - Support jar files with app-arch/fastjar
app-text/lesspipe:ghostscript - Support ps files with app-text/ghostscript-gpl; ignored if pstotext is set
app-text/lesspipe:gpg - Support gpg files
app-text/lesspipe:groff - Support man and nroff files
app-text/lesspipe:hdf5 - Support h5dump from sci-libs/hdf5
app-text/lesspipe:html2text - Support html files with app-text/html2text; this overrides links, lynx, elinks, w3m
app-text/lesspipe:id3v2 - Support mp3 files with media-sound/id3v2; this overrides mp3info2, mp3info
app-text/lesspipe:image - Support image/jpg files
app-text/lesspipe:isoinfo - Support CD/DVD-iso files
app-text/lesspipe:libplist - Support Apple Property List files
app-text/lesspipe:links - Support html files with www-client/links; ignored if html2text is set; this overrides lynx, elinks, w3m
app-text/lesspipe:lynx - Support html files with www-client/lynx; ignored if html2text or links is set; this overrides elinks, w3m
app-text/lesspipe:lzip - Support lzip files
app-text/lesspipe:mp3info - Support mp3 files with media-sound/mp3info; unused if id3v2 or mp3info2 is set
app-text/lesspipe:mp3info2 - Support mp3 files with dev-perl/MP3-Tag (mp3info2); ignored if id3v2 is set; this overrides mp3info
app-text/lesspipe:netcdf - Support ncdump from sci-libs/netcdf
app-text/lesspipe:ooffice - Support OpenOffice files
app-text/lesspipe:p7zip - Support p7zip files
app-text/lesspipe:pdf - Support pdf files
app-text/lesspipe:pstotext - Support ps files with app-text/pstotext; this overrides ghostscript
app-text/lesspipe:rar - Support rar files with app-arch/rar; unused if unrar is set
app-text/lesspipe:rpm - Support rpm files with app-arch/rpm or rpm5; ignored if rpm2targz is set
app-text/lesspipe:rpm2targz - Support rpm files with app-arch/rpm2targz; this overrides rpm
app-text/lesspipe:unrar - Support rar files with app-arch/unrar; this overrides rar
app-text/lesspipe:unrtf - Support rtf files with app-text/unrtf
app-text/lesspipe:unzip - Support zip files with app-arch/unzip
app-text/lesspipe:w3m - Support html files with www-client/w3m; ignored if html2text, links, lynx, or elinks is set
app-text/lesspipe:xlhtml - Support Excel and Powerpoint files with app-arch/xlhtml
app-text/stardict:espeak - Enable text to speech synthesizer using espeak engine
app-text/stardict:pronounce - Install WyabdcRealPeopleTTS package (it is just many .wav files) to make StarDict pronounce English words
app-text/stardict:qqwry - Enable QQWry plugin, which provides information (in Chinese language) about geographical positions, owner, etc. for IP addresses
app-text/stardict:tools - Build and install the extra stardict tools
games-emulation/xmame:bundled-libs - Use bundled version of dev-libs/expat
games-emulation/xmame:net - Add network support
games-emulation/xmess:bundled-libs - Use bundled version of dev-libs/expat
games-emulation/xmess:net - Add network support
games-rpg/m5figur-mv:examples - Compile example character sheet as PDF
games-rpg/magus:browser_elinks - Use elinks as browser
games-rpg/magus:browser_firefox - Use firefox as browser
games-rpg/magus:browser_konqueror - Use konqueror as browser
games-rpg/magus:browser_links - Use links as browser
games-rpg/magus:browser_lynx - Use lynx as browser
games-rpg/magus:browser_palemoon - Use palemoon as browser
games-rpg/magus:browser_seamonkey - Use seamonkey as browser
games-rpg/magus:imagemagick - Use convert from graphicsmagick/imagemagick to scale pictures before installation
games-rpg/magus:pdfviewer_acroread - Use acroread as default pdfviewer
games-rpg/magus:pdfviewer_apvlv - Use apvlv as default pdfviewer
games-rpg/magus:pdfviewer_evince - Use evince as default pdfviewer
games-rpg/magus:pdfviewer_mupdf - Use mupdf as default pdfviewer
games-rpg/magus:pdfviewer_okular - Use okular as default pdfviewer
games-rpg/magus:pdfviewer_qpdfview - Use qpdfview as default pdfviewer
games-rpg/magus:pdfviewer_zathura - Use zathura as default pdfviewer
games-rpg/magus:pngcrush - Use pngcrush for opimizing png before installation
games-rpg/magus:postgres - Use postgresql instead of sqlite
media-gfx/pqiv:gtk2 - Use gtk:2 instead of gtk:3
media-tv/sundtek-tv:ld-preload-env - Install LD_PRELOAD in /etc/env.d/50sundtek-tv
media-tv/sundtek-tv:ld-preload-file - Install /etc/ld.so.preload
media-tv/sundtek-tv:pax_kernel - Mark package which is necessary if you use a PAX kernel
net-dns/noip-updater:ezipupd - Use user/group ezipupd instead of nobody: Useful if you restrict outgoing network traffic for user nobody
net-misc/sshstart:keychain - Pull in keychain as dependency. Not required, but recommended for smoother operation.
sys-apps/less:less-select - Add the less-select feature (additional options and a binary helper).
sys-apps/less:lesspipe - Default to lesspipe.sh from app-text/lesspipe instead of the gentoo specific lesspipe.
sys-apps/less:original-gentoo - Use the gentoo default for the LESS variable.
sys-apps/less:source - Install sources for keybindings (only useful with less-select).
sys-fs/aufs:all-patches - Apply all patches - also those which do not start with aufs
sys-fs/aufs:kernel-patch - Apply the aufs kernel patches instead of just copying them
sys-fs/squash_dir:aufs - Prefer aufs
sys-fs/squash_dir:bundled-openrc-wrapper - Install the bundled openrc-wrapper
sys-fs/squash_dir:overlayfs - Prefer overlayfs
sys-fs/squash_dir:unionfs-fuse - Prefer unionfs-fuse
sys-fs/squashfs-tools:lz4 - Enable support for LZ4 compression using app-arch/lz4
sys-fs/squashfs-tools:xz - Enable support for XZ ("LZMA2") compression using app-arch/xz-utils
x11-drivers/nvidia-drivers:kernel3-13 - Install unofficial patches for linux-3.13 and newer
x11-drivers/nvidia-drivers:kernel3-14 - Install unofficial patches for linux-3.14 and newer
x11-drivers/nvidia-drivers:kernel3-17 - Install unofficial patches for linux-3.17 and newer
x11-drivers/nvidia-drivers:pax_kernel - Patch to compile with hardened-sources/grsecurity
x11-drivers/nvidia-drivers:tools - Install additional tools such as nvidia-settings